- Elementary
- Main
- Authors
- Examples
- Files
- Pages
- Types
- Modules

Data Fields
_Elm_Layout_Part_Alias_Description Struct Reference
Widgets Extension Infrastructure

Elementary Layout-based widgets may declare part proxies, i.e., aliases for real theme part names to expose to the API calls: More...

## Data Fields
const char * | alias
| Alternate name for a given (real) part. More...
const char * | real_part
| Target part name for the alias set on _Elm_Layout_Part_Proxies_Description::real_part. More...

## Detailed Description

Elementary Layout-based widgets may declare part proxies, i.e., aliases for real theme part names to expose to the API calls:

- elm_layout_text_set()
- elm_layout_text_get()
- elm_layout_content_set()
- elm_layout_content_get()
- elm_layout_content_unset() and their equivalents. This list must be set on the `"_smart_set_user()"` function of inheriting widgets, so that part aliasing is handled automatically for them.

## Field Documentation

const char* _Elm_Layout_Part_Alias_Description::alias

Alternate name for a given (real) part.

Calls receiving this string as a part name will be translated to the string at _Elm_Layout_Part_Proxies_Description::real_part

const char* _Elm_Layout_Part_Alias_Description::real_part

Target part name for the alias set on _Elm_Layout_Part_Proxies_Description::real_part.

An example of usage would be `"default"` on that field, with `"elm.content.swallow"` on this one

Copyright ©2000-2014 Enlightenment.org - Samsung Electronics supports the EFL Documentation Project - Generated Wed Jan 8 2014 20:51:15